%global _empty_manifest_terminate_build 0
Name:		python-gast
Version:	0.5.4
Release:	1
Summary:	Python AST that abstracts the underlying Python version
License:	BSD-3-Clause
URL:		https://github.com/serge-sans-paille/gast/
Source0:	%{url}/archive/%{version}/gast-%{version}.tar.gz
BuildArch:	noarch

%description

A generic AST to represent Python2 and Python3's Abstract Syntax Tree(AST).

GAST provides a compatibility layer between the AST of various Python versions,
as produced by ``ast.parse`` from the standard ``ast`` module.

%package -n python3-gast
Summary:	Python AST that abstracts the underlying Python version
Provides:	python-gast
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-gast

A generic AST to represent Python2 and Python3's Abstract Syntax Tree(AST).

GAST provides a compatibility layer between the AST of various Python versions,
as produced by ``ast.parse`` from the standard ``ast`` module.

%package help
Summary:	Development documents and examples for gast
Provides:	python3-gast-doc
%description help

A generic AST to represent Python2 and Python3's Abstract Syntax Tree(AST).

GAST provides a compatibility layer between the AST of various Python versions,
as produced by ``ast.parse`` from the standard ``ast`` module.

%prep
%autosetup -n gast-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-gast -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu May 04 2023 wubijie <wubijie@kylinos.cn> - 0.5.4-1
- Update package to version 0.5.4

* Mon Jun 20 2022 liukuo <liukuo@kylinos.cn> - 0.5.3-1
- Upgrade the software package to 0.5.3

* Wed Oct 14 2020 Zhipeng Xie <xiezhipeng1@huawei.com> 0.3.3-1
- downgrade to 0.3.3 for tensorflow

* Sat Oct 03 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
